### Method

# Tsparql Resource add_string

#### Declaration [src]

    void
    tracker_resource_add_string (
      TrackerResource* self,
      const char* property_uri,
      const char* value
    )

#### Description [src]

Adds a string property. Previous values for the same property are kept.

This method is meant for RDF properties allowing multiple values, see nrl:maxCardinality.

This method corresponds to xsd:string.

#### Parameters

`property_uri`

  Type: `const char*`

  A string identifying the property to modify.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const char*`

  The property object.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.